Upstream information

CVE-2018-19870 at MITRE

Description

An issue was discovered in Qt before 5.11.3. A malformed GIF image causes a NULL pointer dereference in QGifHandler resulting in a segmentation fault.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1118597 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • libQt5Concurrent5 >= 5.6.1-17.13.1
  • libQt5Core5 >= 5.6.1-17.13.1
  • libQt5DBus5 >= 5.6.1-17.13.1
  • libQt5Gui5 >= 5.6.1-17.13.1
  • libQt5Network5 >= 5.6.1-17.13.1
  • libQt5OpenGL5 >= 5.6.1-17.13.1
  • libQt5PrintSupport5 >= 5.6.1-17.13.1
  • libQt5Sql5 >= 5.6.1-17.13.1
  • libQt5Sql5-mysql >= 5.6.1-17.13.1
  • libQt5Sql5-postgresql >= 5.6.1-17.13.1
  • libQt5Sql5-sqlite >= 5.6.1-17.13.1
  • libQt5Sql5-unixODBC >= 5.6.1-17.13.1
  • libQt5Test5 >= 5.6.1-17.13.1
  • libQt5Widgets5 >= 5.6.1-17.13.1
  • libQt5Xml5 >= 5.6.1-17.13.1
  • libqt5-qtbase >= 5.6.1-17.13.1
Patchnames:
SUSE-Storage-4-2020-318
SUSE Enterprise Storage 5
  • libQt5Concurrent5 >= 5.6.2-6.22.1
  • libQt5Core5 >= 5.6.2-6.22.1
  • libQt5DBus5 >= 5.6.2-6.22.1
  • libQt5Gui5 >= 5.6.2-6.22.1
  • libQt5Network5 >= 5.6.2-6.22.1
  • libQt5OpenGL5 >= 5.6.2-6.22.1
  • libQt5PrintSupport5 >= 5.6.2-6.22.1
  • libQt5Sql5 >= 5.6.2-6.22.1
  • libQt5Sql5-mysql >= 5.6.2-6.22.1
  • libQt5Sql5-postgresql >= 5.6.2-6.22.1
  • libQt5Sql5-sqlite >= 5.6.2-6.22.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.22.1
  • libQt5Test5 >= 5.6.2-6.22.1
  • libQt5Widgets5 >= 5.6.2-6.22.1
  • libQt5Xml5 >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
Patchnames:
SUSE-Storage-5-2020-317
SUSE Linux Enterprise Desktop 12 SP4
  • libQt5Concurrent5 >= 5.6.2-6.22.1
  • libQt5Core5 >= 5.6.2-6.22.1
  • libQt5DBus5 >= 5.6.2-6.22.1
  • libQt5Gui5 >= 5.6.2-6.22.1
  • libQt5Network5 >= 5.6.2-6.22.1
  • libQt5OpenGL5 >= 5.6.2-6.22.1
  • libQt5PrintSupport5 >= 5.6.2-6.22.1
  • libQt5Sql5 >= 5.6.2-6.22.1
  • libQt5Sql5-mysql >= 5.6.2-6.22.1
  • libQt5Sql5-postgresql >= 5.6.2-6.22.1
  • libQt5Sql5-sqlite >= 5.6.2-6.22.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.22.1
  • libQt5Test5 >= 5.6.2-6.22.1
  • libQt5Widgets5 >= 5.6.2-6.22.1
  • libQt5Xml5 >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2020-317
SUSE Linux Enterprise Module for Basesystem 15
  • libQt5Concurrent-devel >= 5.9.4-8.18.2
  • libQt5Concurrent5 >= 5.9.4-8.18.2
  • libQt5Core-devel >= 5.9.4-8.18.2
  • libQt5Core-private-headers-devel >= 5.9.4-8.18.2
  • libQt5Core5 >= 5.9.4-8.18.2
  • libQt5DBus-devel >= 5.9.4-8.18.2
  • libQt5DBus-private-headers-devel >= 5.9.4-8.18.2
  • libQt5DBus5 >= 5.9.4-8.18.2
  • libQt5Gui-devel >= 5.9.4-8.18.2
  • libQt5Gui-private-headers-devel >= 5.9.4-8.18.2
  • libQt5Gui5 >= 5.9.4-8.18.2
  • libQt5KmsSupport-devel-static >= 5.9.4-8.18.2
  • libQt5KmsSupport-private-headers-devel >= 5.9.4-8.18.2
  • libQt5Network-devel >= 5.9.4-8.18.2
  • libQt5Network-private-headers-devel >= 5.9.4-8.18.2
  • libQt5Network5 >= 5.9.4-8.18.2
  • libQt5OpenGL-devel >= 5.9.4-8.18.2
  • libQt5OpenGL-private-headers-devel >= 5.9.4-8.18.2
  • libQt5OpenGL5 >= 5.9.4-8.18.2
  • libQt5PlatformHeaders-devel >= 5.9.4-8.18.2
  • libQt5PlatformSupport-devel-static >= 5.9.4-8.18.2
  • libQt5PlatformSupport-private-headers-devel >= 5.9.4-8.18.2
  • libQt5PrintSupport-devel >= 5.9.4-8.18.2
  • libQt5PrintSupport-private-headers-devel >= 5.9.4-8.18.2
  • libQt5PrintSupport5 >= 5.9.4-8.18.2
  • libQt5Sql-devel >= 5.9.4-8.18.2
  • libQt5Sql-private-headers-devel >= 5.9.4-8.18.2
  • libQt5Sql5 >= 5.9.4-8.18.2
  • libQt5Sql5-sqlite >= 5.9.4-8.18.2
  • libQt5Test-devel >= 5.9.4-8.18.2
  • libQt5Test-private-headers-devel >= 5.9.4-8.18.2
  • libQt5Test5 >= 5.9.4-8.18.2
  • libQt5Widgets-devel >= 5.9.4-8.18.2
  • libQt5Widgets-private-headers-devel >= 5.9.4-8.18.2
  • libQt5Widgets5 >= 5.9.4-8.18.2
  • libQt5Xml-devel >= 5.9.4-8.18.2
  • libQt5Xml5 >= 5.9.4-8.18.2
  • libqt5-qtbase >= 5.9.4-8.18.2
  • libqt5-qtbase-common-devel >= 5.9.4-8.18.2
  • libqt5-qtbase-devel >= 5.9.4-8.18.2
  • libqt5-qtbase-private-headers-devel >= 5.9.4-8.18.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-927
SUSE Linux Enterprise Module for Desktop Applications 15
  • libQt5OpenGLExtensions-devel-static >= 5.9.4-8.18.2
  • libQt5Sql5-mysql >= 5.9.4-8.18.2
  • libQt5Sql5-postgresql >= 5.9.4-8.18.2
  • libQt5Sql5-unixODBC >= 5.9.4-8.18.2
  • libqt5-qtbase >= 5.9.4-8.18.2
  • libqt5-qtbase-platformtheme-gtk3 >= 5.9.4-8.18.2
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-927
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libQt5Bootstrap-devel-static >= 5.9.4-8.18.2
  • libqt5-qtbase >= 5.9.4-8.18.2
  • libqt5-qtbase-examples >= 5.9.4-8.18.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-927
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libQt5Concurrent5 >= 5.6.1-17.13.1
  • libQt5Core5 >= 5.6.1-17.13.1
  • libQt5DBus5 >= 5.6.1-17.13.1
  • libQt5Gui5 >= 5.6.1-17.13.1
  • libQt5Network5 >= 5.6.1-17.13.1
  • libQt5OpenGL5 >= 5.6.1-17.13.1
  • libQt5PrintSupport5 >= 5.6.1-17.13.1
  • libQt5Sql5 >= 5.6.1-17.13.1
  • libQt5Sql5-mysql >= 5.6.1-17.13.1
  • libQt5Sql5-postgresql >= 5.6.1-17.13.1
  • libQt5Sql5-sqlite >= 5.6.1-17.13.1
  • libQt5Sql5-unixODBC >= 5.6.1-17.13.1
  • libQt5Test5 >= 5.6.1-17.13.1
  • libQt5Widgets5 >= 5.6.1-17.13.1
  • libQt5Xml5 >= 5.6.1-17.13.1
  • libqt5-qtbase >= 5.6.1-17.13.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-318
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libQt5Core5 >= 5.5.1-8.10.1
  • libQt5DBus5 >= 5.5.1-8.10.1
  • libQt5Gui5 >= 5.5.1-8.10.1
  • libQt5Network5 >= 5.5.1-8.10.1
  • libQt5Widgets5 >= 5.5.1-8.10.1
  • libqt5-qtbase >= 5.5.1-8.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2020-319
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libQt5Concurrent5 >= 5.6.1-17.13.1
  • libQt5Core5 >= 5.6.1-17.13.1
  • libQt5DBus5 >= 5.6.1-17.13.1
  • libQt5Gui5 >= 5.6.1-17.13.1
  • libQt5Network5 >= 5.6.1-17.13.1
  • libQt5OpenGL5 >= 5.6.1-17.13.1
  • libQt5PrintSupport5 >= 5.6.1-17.13.1
  • libQt5Sql5 >= 5.6.1-17.13.1
  • libQt5Sql5-mysql >= 5.6.1-17.13.1
  • libQt5Sql5-postgresql >= 5.6.1-17.13.1
  • libQt5Sql5-sqlite >= 5.6.1-17.13.1
  • libQt5Sql5-unixODBC >= 5.6.1-17.13.1
  • libQt5Test5 >= 5.6.1-17.13.1
  • libQt5Widgets5 >= 5.6.1-17.13.1
  • libQt5Xml5 >= 5.6.1-17.13.1
  • libqt5-qtbase >= 5.6.1-17.13.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-318
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libQt5Concurrent5 >= 5.6.1-17.13.1
  • libQt5Core5 >= 5.6.1-17.13.1
  • libQt5DBus5 >= 5.6.1-17.13.1
  • libQt5Gui5 >= 5.6.1-17.13.1
  • libQt5Network5 >= 5.6.1-17.13.1
  • libQt5OpenGL5 >= 5.6.1-17.13.1
  • libQt5PrintSupport5 >= 5.6.1-17.13.1
  • libQt5Sql5 >= 5.6.1-17.13.1
  • libQt5Sql5-mysql >= 5.6.1-17.13.1
  • libQt5Sql5-postgresql >= 5.6.1-17.13.1
  • libQt5Sql5-sqlite >= 5.6.1-17.13.1
  • libQt5Sql5-unixODBC >= 5.6.1-17.13.1
  • libQt5Test5 >= 5.6.1-17.13.1
  • libQt5Widgets5 >= 5.6.1-17.13.1
  • libQt5Xml5 >= 5.6.1-17.13.1
  • libqt5-qtbase >= 5.6.1-17.13.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-318
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libQt5Concurrent5 >= 5.6.1-17.13.1
  • libQt5Core5 >= 5.6.1-17.13.1
  • libQt5DBus5 >= 5.6.1-17.13.1
  • libQt5Gui5 >= 5.6.1-17.13.1
  • libQt5Network5 >= 5.6.1-17.13.1
  • libQt5OpenGL5 >= 5.6.1-17.13.1
  • libQt5PrintSupport5 >= 5.6.1-17.13.1
  • libQt5Sql5 >= 5.6.1-17.13.1
  • libQt5Sql5-mysql >= 5.6.1-17.13.1
  • libQt5Sql5-postgresql >= 5.6.1-17.13.1
  • libQt5Sql5-sqlite >= 5.6.1-17.13.1
  • libQt5Sql5-unixODBC >= 5.6.1-17.13.1
  • libQt5Test5 >= 5.6.1-17.13.1
  • libQt5Widgets5 >= 5.6.1-17.13.1
  • libQt5Xml5 >= 5.6.1-17.13.1
  • libqt5-qtbase >= 5.6.1-17.13.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-318
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • libQt5Concurrent5 >= 5.6.2-6.22.1
  • libQt5Core5 >= 5.6.2-6.22.1
  • libQt5DBus5 >= 5.6.2-6.22.1
  • libQt5Gui5 >= 5.6.2-6.22.1
  • libQt5Network5 >= 5.6.2-6.22.1
  • libQt5OpenGL5 >= 5.6.2-6.22.1
  • libQt5PrintSupport5 >= 5.6.2-6.22.1
  • libQt5Sql5 >= 5.6.2-6.22.1
  • libQt5Sql5-mysql >= 5.6.2-6.22.1
  • libQt5Sql5-postgresql >= 5.6.2-6.22.1
  • libQt5Sql5-sqlite >= 5.6.2-6.22.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.22.1
  • libQt5Test5 >= 5.6.2-6.22.1
  • libQt5Widgets5 >= 5.6.2-6.22.1
  • libQt5Xml5 >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-317
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • libQt5Concurrent5 >= 5.6.2-6.22.1
  • libQt5Core5 >= 5.6.2-6.22.1
  • libQt5DBus5 >= 5.6.2-6.22.1
  • libQt5Gui5 >= 5.6.2-6.22.1
  • libQt5Network5 >= 5.6.2-6.22.1
  • libQt5OpenGL5 >= 5.6.2-6.22.1
  • libQt5PrintSupport5 >= 5.6.2-6.22.1
  • libQt5Sql5 >= 5.6.2-6.22.1
  • libQt5Sql5-mysql >= 5.6.2-6.22.1
  • libQt5Sql5-postgresql >= 5.6.2-6.22.1
  • libQt5Sql5-sqlite >= 5.6.2-6.22.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.22.1
  • libQt5Test5 >= 5.6.2-6.22.1
  • libQt5Widgets5 >= 5.6.2-6.22.1
  • libQt5Xml5 >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-317
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libQt5Concurrent5 >= 5.6.2-6.22.1
  • libQt5Core5 >= 5.6.2-6.22.1
  • libQt5DBus5 >= 5.6.2-6.22.1
  • libQt5Gui5 >= 5.6.2-6.22.1
  • libQt5Network5 >= 5.6.2-6.22.1
  • libQt5OpenGL5 >= 5.6.2-6.22.1
  • libQt5PrintSupport5 >= 5.6.2-6.22.1
  • libQt5Sql5 >= 5.6.2-6.22.1
  • libQt5Sql5-mysql >= 5.6.2-6.22.1
  • libQt5Sql5-postgresql >= 5.6.2-6.22.1
  • libQt5Sql5-sqlite >= 5.6.2-6.22.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.22.1
  • libQt5Test5 >= 5.6.2-6.22.1
  • libQt5Widgets5 >= 5.6.2-6.22.1
  • libQt5Xml5 >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-317
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libQt5Concurrent5 >= 5.6.2-6.22.1
  • libQt5Core5 >= 5.6.2-6.22.1
  • libQt5DBus5 >= 5.6.2-6.22.1
  • libQt5Gui5 >= 5.6.2-6.22.1
  • libQt5Network5 >= 5.6.2-6.22.1
  • libQt5OpenGL5 >= 5.6.2-6.22.1
  • libQt5PrintSupport5 >= 5.6.2-6.22.1
  • libQt5Sql5 >= 5.6.2-6.22.1
  • libQt5Sql5-mysql >= 5.6.2-6.22.1
  • libQt5Sql5-postgresql >= 5.6.2-6.22.1
  • libQt5Sql5-sqlite >= 5.6.2-6.22.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.22.1
  • libQt5Test5 >= 5.6.2-6.22.1
  • libQt5Widgets5 >= 5.6.2-6.22.1
  • libQt5Xml5 >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-317
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libQt5Core5 >= 5.5.1-8.10.1
  • libQt5DBus5 >= 5.5.1-8.10.1
  • libQt5Gui5 >= 5.5.1-8.10.1
  • libQt5Network5 >= 5.5.1-8.10.1
  • libQt5Widgets5 >= 5.5.1-8.10.1
  • libqt5-qtbase >= 5.5.1-8.10.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2020-319
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libQt5Concurrent5 >= 5.6.1-17.13.1
  • libQt5Core5 >= 5.6.1-17.13.1
  • libQt5DBus5 >= 5.6.1-17.13.1
  • libQt5Gui5 >= 5.6.1-17.13.1
  • libQt5Network5 >= 5.6.1-17.13.1
  • libQt5OpenGL5 >= 5.6.1-17.13.1
  • libQt5PrintSupport5 >= 5.6.1-17.13.1
  • libQt5Sql5 >= 5.6.1-17.13.1
  • libQt5Sql5-mysql >= 5.6.1-17.13.1
  • libQt5Sql5-postgresql >= 5.6.1-17.13.1
  • libQt5Sql5-sqlite >= 5.6.1-17.13.1
  • libQt5Sql5-unixODBC >= 5.6.1-17.13.1
  • libQt5Test5 >= 5.6.1-17.13.1
  • libQt5Widgets5 >= 5.6.1-17.13.1
  • libQt5Xml5 >= 5.6.1-17.13.1
  • libqt5-qtbase >= 5.6.1-17.13.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-318
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libQt5Concurrent5 >= 5.6.2-6.22.1
  • libQt5Core5 >= 5.6.2-6.22.1
  • libQt5DBus5 >= 5.6.2-6.22.1
  • libQt5Gui5 >= 5.6.2-6.22.1
  • libQt5Network5 >= 5.6.2-6.22.1
  • libQt5OpenGL5 >= 5.6.2-6.22.1
  • libQt5PrintSupport5 >= 5.6.2-6.22.1
  • libQt5Sql5 >= 5.6.2-6.22.1
  • libQt5Sql5-mysql >= 5.6.2-6.22.1
  • libQt5Sql5-postgresql >= 5.6.2-6.22.1
  • libQt5Sql5-sqlite >= 5.6.2-6.22.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.22.1
  • libQt5Test5 >= 5.6.2-6.22.1
  • libQt5Widgets5 >= 5.6.2-6.22.1
  • libQt5Xml5 >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-317
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libQt5Bootstrap-devel-static >= 5.6.2-6.22.1
  • libQt5Concurrent-devel >= 5.6.2-6.22.1
  • libQt5Core-devel >= 5.6.2-6.22.1
  • libQt5Core-private-headers-devel >= 5.6.2-6.22.1
  • libQt5DBus-devel >= 5.6.2-6.22.1
  • libQt5DBus-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Gui-devel >= 5.6.2-6.22.1
  • libQt5Gui-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Network-devel >= 5.6.2-6.22.1
  • libQt5Network-private-headers-devel >= 5.6.2-6.22.1
  • libQt5OpenGL-devel >= 5.6.2-6.22.1
  • libQt5OpenGL-private-headers-devel >= 5.6.2-6.22.1
  • libQt5OpenGLExtensions-devel-static >= 5.6.2-6.22.1
  • libQt5PlatformHeaders-devel >= 5.6.2-6.22.1
  • libQt5PlatformSupport-devel-static >= 5.6.2-6.22.1
  • libQt5PlatformSupport-private-headers-devel >= 5.6.2-6.22.1
  • libQt5PrintSupport-devel >= 5.6.2-6.22.1
  • libQt5PrintSupport-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Sql-devel >= 5.6.2-6.22.1
  • libQt5Sql-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Test-devel >= 5.6.2-6.22.1
  • libQt5Test-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Widgets-devel >= 5.6.2-6.22.1
  • libQt5Widgets-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Xml-devel >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
  • libqt5-qtbase-common-devel >= 5.6.2-6.22.1
  • libqt5-qtbase-devel >= 5.6.2-6.22.1
  • libqt5-qtbase-private-headers-devel >= 5.6.2-6.22.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-317
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libQt5Bootstrap-devel-static >= 5.6.2-6.22.1
  • libQt5Concurrent-devel >= 5.6.2-6.22.1
  • libQt5Core-devel >= 5.6.2-6.22.1
  • libQt5Core-private-headers-devel >= 5.6.2-6.22.1
  • libQt5DBus-devel >= 5.6.2-6.22.1
  • libQt5DBus-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Gui-devel >= 5.6.2-6.22.1
  • libQt5Gui-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Network-devel >= 5.6.2-6.22.1
  • libQt5Network-private-headers-devel >= 5.6.2-6.22.1
  • libQt5OpenGL-devel >= 5.6.2-6.22.1
  • libQt5OpenGL-private-headers-devel >= 5.6.2-6.22.1
  • libQt5OpenGLExtensions-devel-static >= 5.6.2-6.22.1
  • libQt5PlatformHeaders-devel >= 5.6.2-6.22.1
  • libQt5PlatformSupport-devel-static >= 5.6.2-6.22.1
  • libQt5PlatformSupport-private-headers-devel >= 5.6.2-6.22.1
  • libQt5PrintSupport-devel >= 5.6.2-6.22.1
  • libQt5PrintSupport-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Sql-devel >= 5.6.2-6.22.1
  • libQt5Sql-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Test-devel >= 5.6.2-6.22.1
  • libQt5Test-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Widgets-devel >= 5.6.2-6.22.1
  • libQt5Widgets-private-headers-devel >= 5.6.2-6.22.1
  • libQt5Xml-devel >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
  • libqt5-qtbase-common-devel >= 5.6.2-6.22.1
  • libqt5-qtbase-devel >= 5.6.2-6.22.1
  • libqt5-qtbase-private-headers-devel >= 5.6.2-6.22.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-317
SUSE OpenStack Cloud 7
  • libQt5Concurrent5 >= 5.6.1-17.13.1
  • libQt5Core5 >= 5.6.1-17.13.1
  • libQt5DBus5 >= 5.6.1-17.13.1
  • libQt5Gui5 >= 5.6.1-17.13.1
  • libQt5Network5 >= 5.6.1-17.13.1
  • libQt5OpenGL5 >= 5.6.1-17.13.1
  • libQt5PrintSupport5 >= 5.6.1-17.13.1
  • libQt5Sql5 >= 5.6.1-17.13.1
  • libQt5Sql5-mysql >= 5.6.1-17.13.1
  • libQt5Sql5-postgresql >= 5.6.1-17.13.1
  • libQt5Sql5-sqlite >= 5.6.1-17.13.1
  • libQt5Sql5-unixODBC >= 5.6.1-17.13.1
  • libQt5Test5 >= 5.6.1-17.13.1
  • libQt5Widgets5 >= 5.6.1-17.13.1
  • libQt5Xml5 >= 5.6.1-17.13.1
  • libqt5-qtbase >= 5.6.1-17.13.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-318
SUSE OpenStack Cloud 8
  • libQt5Concurrent5 >= 5.6.2-6.22.1
  • libQt5Core5 >= 5.6.2-6.22.1
  • libQt5DBus5 >= 5.6.2-6.22.1
  • libQt5Gui5 >= 5.6.2-6.22.1
  • libQt5Network5 >= 5.6.2-6.22.1
  • libQt5OpenGL5 >= 5.6.2-6.22.1
  • libQt5PrintSupport5 >= 5.6.2-6.22.1
  • libQt5Sql5 >= 5.6.2-6.22.1
  • libQt5Sql5-mysql >= 5.6.2-6.22.1
  • libQt5Sql5-postgresql >= 5.6.2-6.22.1
  • libQt5Sql5-sqlite >= 5.6.2-6.22.1
  • libQt5Sql5-unixODBC >= 5.6.2-6.22.1
  • libQt5Test5 >= 5.6.2-6.22.1
  • libQt5Widgets5 >= 5.6.2-6.22.1
  • libQt5Xml5 >= 5.6.2-6.22.1
  • libqt5-qtbase >= 5.6.2-6.22.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-317
openSUSE Leap 15.0
  • libQt5Bootstrap-devel-static >= 5.9.4-lp150.11.1
  • libQt5Bootstrap-devel-static-32bit >= 5.9.4-lp150.11.1
  • libQt5Concurrent-devel >= 5.9.4-lp150.11.1
  • libQt5Concurrent-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5Concurrent5 >= 5.9.4-lp150.11.1
  • libQt5Concurrent5-32bit >= 5.9.4-lp150.11.1
  • libQt5Concurrent5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Concurrent5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Core-devel >= 5.9.4-lp150.11.1
  • libQt5Core-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5Core-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5Core5 >= 5.9.4-lp150.11.1
  • libQt5Core5-32bit >= 5.9.4-lp150.11.1
  • libQt5Core5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Core5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5DBus-devel >= 5.9.4-lp150.11.1
  • libQt5DBus-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5DBus-devel-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5DBus-devel-debuginfo >= 5.9.4-lp150.11.1
  • libQt5DBus-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5DBus5 >= 5.9.4-lp150.11.1
  • libQt5DBus5-32bit >= 5.9.4-lp150.11.1
  • libQt5DBus5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5DBus5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Gui-devel >= 5.9.4-lp150.11.1
  • libQt5Gui-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5Gui-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5Gui5 >= 5.9.4-lp150.11.1
  • libQt5Gui5-32bit >= 5.9.4-lp150.11.1
  • libQt5Gui5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Gui5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5KmsSupport-devel-static >= 5.9.4-lp150.11.1
  • libQt5KmsSupport-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5Network-devel >= 5.9.4-lp150.11.1
  • libQt5Network-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5Network-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5Network5 >= 5.9.4-lp150.11.1
  • libQt5Network5-32bit >= 5.9.4-lp150.11.1
  • libQt5Network5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Network5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5OpenGL-devel >= 5.9.4-lp150.11.1
  • libQt5OpenGL-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5OpenGL-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5OpenGL5 >= 5.9.4-lp150.11.1
  • libQt5OpenGL5-32bit >= 5.9.4-lp150.11.1
  • libQt5OpenGL5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5OpenGL5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5OpenGLExtensions-devel-static >= 5.9.4-lp150.11.1
  • libQt5OpenGLExtensions-devel-static-32bit >= 5.9.4-lp150.11.1
  • libQt5PlatformHeaders-devel >= 5.9.4-lp150.11.1
  • libQt5PlatformSupport-devel-static >= 5.9.4-lp150.11.1
  • libQt5PlatformSupport-devel-static-32bit >= 5.9.4-lp150.11.1
  • libQt5PlatformSupport-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5PrintSupport-devel >= 5.9.4-lp150.11.1
  • libQt5PrintSupport-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5PrintSupport-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5PrintSupport5 >= 5.9.4-lp150.11.1
  • libQt5PrintSupport5-32bit >= 5.9.4-lp150.11.1
  • libQt5PrintSupport5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5PrintSupport5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql-devel >= 5.9.4-lp150.11.1
  • libQt5Sql-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5Sql-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5Sql5 >= 5.9.4-lp150.11.1
  • libQt5Sql5-32bit >= 5.9.4-lp150.11.1
  • libQt5Sql5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-mysql >= 5.9.4-lp150.11.1
  • libQt5Sql5-mysql-32bit >= 5.9.4-lp150.11.1
  • libQt5Sql5-mysql-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-mysql-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-postgresql >= 5.9.4-lp150.11.1
  • libQt5Sql5-postgresql-32bit >= 5.9.4-lp150.11.1
  • libQt5Sql5-postgresql-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-postgresql-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-sqlite >= 5.9.4-lp150.11.1
  • libQt5Sql5-sqlite-32bit >= 5.9.4-lp150.11.1
  • libQt5Sql5-sqlite-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-sqlite-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-unixODBC >= 5.9.4-lp150.11.1
  • libQt5Sql5-unixODBC-32bit >= 5.9.4-lp150.11.1
  • libQt5Sql5-unixODBC-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Sql5-unixODBC-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Test-devel >= 5.9.4-lp150.11.1
  • libQt5Test-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5Test-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5Test5 >= 5.9.4-lp150.11.1
  • libQt5Test5-32bit >= 5.9.4-lp150.11.1
  • libQt5Test5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Test5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Widgets-devel >= 5.9.4-lp150.11.1
  • libQt5Widgets-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5Widgets-private-headers-devel >= 5.9.4-lp150.11.1
  • libQt5Widgets5 >= 5.9.4-lp150.11.1
  • libQt5Widgets5-32bit >= 5.9.4-lp150.11.1
  • libQt5Widgets5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Widgets5-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Xml-devel >= 5.9.4-lp150.11.1
  • libQt5Xml-devel-32bit >= 5.9.4-lp150.11.1
  • libQt5Xml5 >= 5.9.4-lp150.11.1
  • libQt5Xml5-32bit >= 5.9.4-lp150.11.1
  • libQt5Xml5-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libQt5Xml5-debuginfo >= 5.9.4-lp150.11.1
  • libqt5-qtbase >= 5.9.4-lp150.11.1
  • libqt5-qtbase-common-devel >= 5.9.4-lp150.11.1
  • libqt5-qtbase-common-devel-debuginfo >= 5.9.4-lp150.11.1
  • libqt5-qtbase-debugsource >= 5.9.4-lp150.11.1
  • libqt5-qtbase-devel >= 5.9.4-lp150.11.1
  • libqt5-qtbase-examples >= 5.9.4-lp150.11.1
  • libqt5-qtbase-examples-32bit >= 5.9.4-lp150.11.1
  • libqt5-qtbase-examples-32bit-debuginfo >= 5.9.4-lp150.11.1
  • libqt5-qtbase-examples-debuginfo >= 5.9.4-lp150.11.1
  • libqt5-qtbase-platformtheme-gtk3 >= 5.9.4-lp150.11.1
  • libqt5-qtbase-platformtheme-gtk3-debuginfo >= 5.9.4-lp150.11.1
  • libqt5-qtbase-private-headers-devel >= 5.9.4-lp150.11.1
Patchnames:
openSUSE-2019-1239


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libqt5-qtbase Released
SLES for SAP Applications libqt4 Affected
SUSE Enterprise Storage 5 libqt5-qtbase Released
SUSE Linux Enterprise Desktop 12 SP3 libqt4 Affected
SUSE Linux Enterprise Desktop 12 SP3 libqt5-qtbase In progress
SUSE Linux Enterprise Desktop 12 SP4 libqt4 Affected
SUSE Linux Enterprise Desktop 12 SP4 libqt5-qtbase Released
SUSE Linux Enterprise High Performance Computing 12 SP4 libqt4 Affected
SUSE Linux Enterprise High Performance Computing 12 SP4 libqt5-qtbase Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libqt5-qtbase Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libqt5-qtbase Released
SUSE Linux Enterprise Module for Basesystem 15 libqt5-qtbase Released
SUSE Linux Enterprise Module for Desktop Applications 15 libqt5-qtbase Released
SUSE Linux Enterprise Server 11 SP3 LTSS libqt4 Affected
SUSE Linux Enterprise Server 11 SP4 libqt4 Affected
SUSE Linux Enterprise Server 12 LTSS libqt4 Affected
SUSE Linux Enterprise Server 12 LTSS libqt5-qtbase In progress
SUSE Linux Enterprise Server 12 SP1 LTSS libqt4 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libqt5-qtbase Released
SUSE Linux Enterprise Server 12 SP2 LTSS libqt4 Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS libqt5-qtbase Released
SUSE Linux Enterprise Server 12 SP3 libqt4 Affected
SUSE Linux Enterprise Server 12 SP3 libqt5-qtbase In progress
SUSE Linux Enterprise Server 12 SP3 BCL libqt5-qtbase Released
SUSE Linux Enterprise Server 12 SP3 ESPOS libqt5-qtbase Released
SUSE Linux Enterprise Server 12 SP3 LTSS libqt5-qtbase Released
SUSE Linux Enterprise Server 12 SP4 libqt4 Affected
SUSE Linux Enterprise Server 12 SP4 libqt5-qtbase Released
SUSE Linux Enterprise Server 12 SP4 ESPOS libqt5-qtbase Released
SUSE Linux Enterprise Server 12 SP4 LTSS libqt5-qtbase Released
SUSE Linux Enterprise Server 12 SP5 libqt5-qtbase Released
SUSE Linux Enterprise Server 15 LTSS libqt5-qtbase Released
SUSE Linux Enterprise Server ESPOS 15 libqt5-qtbase Released
SUSE Linux Enterprise Server for SAP Applications 12 libqt4 Affected
SUSE Linux Enterprise Server for SAP Applications 12 libqt5-qtbase Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libqt4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libqt5-qtbase Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt5-qtbase Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt5-qtbase Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libqt5-qtbase Released
SUSE Linux Enterprise Server for SAP Applications 15 libqt5-qtbase Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libqt4 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libqt4 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libqt5-qtbase In progress
SUSE Linux Enterprise Software Development Kit 12 SP4 libqt4 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libqt5-qtbase Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libqt5-qtbase Released
SUSE Linux Enterprise Workstation Extension 12 libqt4 Affected
SUSE OpenStack Cloud 8 libqt5-qtbase Released
SUSE OpenStack Cloud 9 libqt5-qtbase Released
SUSE OpenStack Cloud Crowbar 8 libqt5-qtbase Released
SUSE OpenStack Cloud Crowbar 9 libqt5-qtbase Released